package com.fjhx.service.supplier;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.entity.supplier.Supplier;
import com.fjhx.params.supplier.SupplierVo;
import com.fjhx.base.StorageBaseService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 供应商 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-08
 */
public interface SupplierService extends StorageBaseService<Supplier> {

    Page<Map<String, Object>> getPage(Map<String, String> condition);

    void add(SupplierVo supplierVo);

    void edit(SupplierVo supplierVo);

    void delete(SupplierVo supplierVo);

    List<Map<String, Object>> getAccountDate();

    List<Map<String, Object>> getSafetyWarnDay();

    List<Map<String, Object>> getStatistics(Map<String, String> condition);

    Page<Map<String, Object>> pagePurchase(Map<String, String> condition);

}
